<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Shop extends Model
{
    protected $hidden = [
        'access_token',
        'expires_in',
        'refresh_token',
        'refresh_token_expires_at',
        'refresh_token_expires_in',
        'pop_auth_token_create_response',
    ];

    protected $fillable = [
        'access_token', 'expires_at', 'expires_in', 'owner_id', 'owner_name', 'refresh_token', 'refresh_token_expires_at', 'refresh_token_expires_in', 'scope', 'pop_auth_token_create_response', 'status'
    ];

    public function getStatusAttribute($value)
    {
        $map = [
            0 => '未授权',
            1 => '已授权',
            2 => '无需授权',
            3 => '停用',
        ];
        if (1 === (int)$value && ($this->attributes['expires_at'] - time()) / 3600 <= 72) {
            return '重新授权';
        }

        return $map[$value];
    }

    public function getPlatList()
    {
        return ['妙选', '快团团'];
    }

    public function getPlatIdAttribute($value)
    {
        $map = $this->getPlatList();

        return $map[$value];
    }
}
